The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

REST API call to import fixed hard device group

Prev Next

Use this REST API call to send a request to create or override an existing fixed hard device group.

POST request URL

https://<epo_server_name:port>/rest/dlp/definitions/fixedHardDrive/importGroup

Where, epo_server_name:port is the server IP address and port number.

Request Parameters

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

Parameter name

Description

Required

Values

override

If true: overrides the existing definition.

If false: If the definition name exists, the operation fails.

Required

Boolean

name

The definition name or name of group, if the definition does not exist a new definition will be created

Required

String

description

Description of the definition

Required

String

appliesTo

Defines the operating system on which this device template can be used. Values are:

  • "WIN" for device templates that are used to detect devices on Windows systems.

  • "MAC" for device templates that are used to detect devices on Mac OS X systems.

Required

String

body

CSV file containing records to be imported.

Records must have the column name ITEM.

Required

File

Sample POST request URL

https://172.27.108.53:8443/rest/dlp/definitions/fixedHardDrive/importGroup

Sample cURL command

curl -k -v -X POST 'https://172.27.108.53:8443/rest/dlp/definitions/fixedHardDrive/importGroup' -u '<user>:<password>' -F 'override="false"' -F 'body=@"/path/to/file/DlpImportGroupSample.csv"' -F 'name="itemgroup"' -F 'appliesTo="WIN"' -F description="The description "'

Sample response

Import completed

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

The response returns a string.

400 Bad Request

Returns a bad request if:

  • Override value is missing or empty.

  • Body is missing or empty.

  • CSV Headers do not match or are incorrect.

  • Number of records in the CSV file are greater than 20000.

  • Device template name field is empty.

  • Device template name length is greater than 100.

  • Device template name already exists or is not unique.

  • Failed to import fixed hard device group.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.